﻿Imports System.Windows.Markup
Partial Public Class Page
 Inherits UserControl
 Dim ts() As String = {"AutantEnEmporteLeVent", "BlancheNeigeEtLes7Nains", "ChantonsSousLaPluie", "LePontDeLaRiviereKwai", "LesTempsModernes", "WestSideStory"}
 Public Sub New()
  InitializeComponent()
 End Sub
 Private nbImages As Integer
 Private Sub LayoutRoot_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
  nbImages = ts.Length
  For i As Integer = 0 To nbImages - 1
   Dim angle, X, Y As Double
   angle = i * 6.28 / nbImages ' en radians
   X = Math.Round(300 + 300 * Math.Cos(angle) - 40)
   Y = Math.Round(300 + 300 * Math.Sin(angle) - 60)
   Dim s As String = "<Image " & "xmlns='http://schemas.microsoft.com/client/2007' " & "Name='img" & i & "' " & "Canvas.Left='" & X & "' Canvas.Top='" & Y & "' " & "Width='80' Height='120' " & "Source='" & (ts(i) & ".jpg") & "' " & "RenderTransformOrigin='0.5, 0.5' " & ">" & "<Image.RenderTransform>" & "<RotateTransform Name='rotImg" & i & "'  />" & "</Image.RenderTransform>" & "</Image>"
   Dim img As Image = CType(XamlReader.Load(s), Image)
   AddHandler img.MouseEnter, AddressOf img_MouseEnter
   AddHandler img.MouseLeave, AddressOf img_MouseLeave
   AddHandler img.MouseLeftButtonDown, AddressOf img_MouseLeftButtonDown
   can.Children.Add(img)
   Dim rt As RotateTransform = TryCast(img.FindName("rotImg" & i), RotateTransform)
   Dim da As New DoubleAnimation()
   da.Duration = New Duration(New TimeSpan(0, 0, 10))
   da.To = -360
   da.RepeatBehavior = RepeatBehavior.Forever
   Storyboard.SetTargetProperty(da, New PropertyPath("Angle"))
   Storyboard.SetTarget(da, rt)
   stb.Children.Add(da)
  Next i
  stb.Begin()
 End Sub

 Private Sub img_MouseLeftButtonDown(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
  Dim img As Image = CType(sender, Image)
  Dim s As String = img.Name
  Dim n As Integer = Int32.Parse(s.Substring(3))
  vid.Source = New Uri((ts(n) & ".wmv"), UriKind.Relative)
  AddHandler vid.MediaEnded, AddressOf vid_MediaEnded
  vid.Play()
  startVideo.Begin()
 End Sub

 Private Sub vid_MediaEnded(ByVal sender As Object, ByVal e As RoutedEventArgs)
  endVideo.Begin()
 End Sub

 Private Sub img_MouseLeave(ByVal sender As Object, ByVal e As MouseEventArgs)
  stb.Resume()
 End Sub
 Private Sub img_MouseEnter(ByVal sender As Object, ByVal e As MouseEventArgs)
  stb.Pause()
 End Sub
End Class